Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.cheatsheets
Interface ICheatSheetViewer

public interface ICheatSheetViewer

A cheat sheet viewer.

Clients call `CheatSheetViewerFactory.createCheatSheetView()` to create a cheat sheet viewer instance, and then call the viewer's `createPartControl` method to have it create the viewer's control under the specified SWT composite. The viewer's control can then be retrieved using `getControl` to arrange layout. The `setInput` methods are used to set (or clear) the cheat sheet shown in the viewer, and can be called either before or after the viewer's controls have been created and laid out.

The execution states of open cheat sheets are maintained and persisted globally using the cheat sheet id as the key.

This interface is not intended to be implemented by clients.

Since:
  3.0
See Also:
  `CheatSheetViewerFactory`

Method Summary
`void` | `createPartControl(Composite parent)` Creates the SWT controls for this cheat sheet viewer.
`String` | `getCheatSheetID()` Returns the id of the cheat sheet showing in this view.
`Control` | `getControl()` Returns the primary control associated with this viewer.
`void` | `setFocus()` Asks this cheat sheet viewer to take focus.
`void` | `setInput(String id)` Sets the cheat sheet viewer to show the cheat sheet with the given id.
`void` | `setInput(String id, String name, URL url)` Sets the cheat sheet viewer to show the cheat sheet with the given cheat sheet content file.

Method Detail

### createPartControl

    public void createPartControl(Composite parent)

  Creates the SWT controls for this cheat sheet viewer.

  When the parent Composite is disposed, this will automatically dispose the controls added by this viewer (and release any other viewer-specific state).

  Parameters:
    `parent` - the parent control

### getControl

    public Control getControl()

  Returns the primary control associated with this viewer.

  Returns:
    the SWT control which displays this viewer's content, or `null` if this viewer's controls have not yet been created.

### getCheatSheetID

    public String getCheatSheetID()

  Returns the id of the cheat sheet showing in this view.

  Returns:
    id the cheat sheet id, or `null` if the view is not showing a cheat sheet

### setFocus

    public void setFocus()

  Asks this cheat sheet viewer to take focus.

### setInput

    public void setInput(String id)

  Sets the cheat sheet viewer to show the cheat sheet with the given id. The cheat sheet content file is located via the `org.eclipse.ui.cheatsheet.cheatSheetContent` extension point. The viewer shows an error message if there is no cheat sheet with the given id.

  The execution states of open cheat sheets are maintained and persisted globally using the cheat sheet id as the key.

  Parameters:
    `id` - the cheat sheet id, or `null` to show no cheat sheet in this viewer

### setInput

    public void setInput(String id,
                         String name,
                         URL url)

  Sets the cheat sheet viewer to show the cheat sheet with the given cheat sheet content file. The viewer shows an error message if the cheat sheet content file cannot be opened or parsed.

  The execution states of open cheat sheets are maintained and persisted globally using the cheat sheet id as the key. This means that each cheat sheet must have a distinct id, including ones opened from URLs.

  Use the other `setInput` method to clear the viewer; that is, call `setInput(null)`.

  Parameters:
    `id` - the id to give this cheat sheet
    `name` - the name to give this cheat sheet
    `url` - URL of the cheat sheet content file
  Throws:
    `IllegalArgumentException` - if the parameters are `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.